Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.4.192.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
30.4.192.0
Broadcast address
30.4.255.255
First usable
30.4.192.1
Last usable
30.4.255.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E04C000 · Integer 503627776 to 503644159
Reverse DNS zones
192.4.30.in-addr.arpa
193.4.30.in-addr.arpa
194.4.30.in-addr.arpa
195.4.30.in-addr.arpa
196.4.30.in-addr.arpa
197.4.30.in-addr.arpa
198.4.30.in-addr.arpa
199.4.30.in-addr.arpa
200.4.30.in-addr.arpa
201.4.30.in-addr.arpa
202.4.30.in-addr.arpa
203.4.30.in-addr.arpa
204.4.30.in-addr.arpa
205.4.30.in-addr.arpa
206.4.30.in-addr.arpa
207.4.30.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00000100.11000000.0000000030.4.192.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00011110.00000100.11000000.0000000030.4.192.0
Broadcast00011110.00000100.11111111.1111111130.4.255.255
Split into smaller subnets/28

30.4.192.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.4.192.0/2830.4.192.1 to 30.4.192.1430.4.192.1514
230.4.192.16/2830.4.192.17 to 30.4.192.3030.4.192.3114
330.4.192.32/2830.4.192.33 to 30.4.192.4630.4.192.4714
430.4.192.48/2830.4.192.49 to 30.4.192.6230.4.192.6314
530.4.192.64/2830.4.192.65 to 30.4.192.7830.4.192.7914
630.4.192.80/2830.4.192.81 to 30.4.192.9430.4.192.9514
730.4.192.96/2830.4.192.97 to 30.4.192.11030.4.192.11114
830.4.192.112/2830.4.192.113 to 30.4.192.12630.4.192.12714
930.4.192.128/2830.4.192.129 to 30.4.192.14230.4.192.14314
1030.4.192.144/2830.4.192.145 to 30.4.192.15830.4.192.15914
1130.4.192.160/2830.4.192.161 to 30.4.192.17430.4.192.17514
1230.4.192.176/2830.4.192.177 to 30.4.192.19030.4.192.19114
1330.4.192.192/2830.4.192.193 to 30.4.192.20630.4.192.20714
1430.4.192.208/2830.4.192.209 to 30.4.192.22230.4.192.22314
1530.4.192.224/2830.4.192.225 to 30.4.192.23830.4.192.23914
1630.4.192.240/2830.4.192.241 to 30.4.192.25430.4.192.25514
1730.4.193.0/2830.4.193.1 to 30.4.193.1430.4.193.1514
1830.4.193.16/2830.4.193.17 to 30.4.193.3030.4.193.3114
1930.4.193.32/2830.4.193.33 to 30.4.193.4630.4.193.4714
2030.4.193.48/2830.4.193.49 to 30.4.193.6230.4.193.6314
2130.4.193.64/2830.4.193.65 to 30.4.193.7830.4.193.7914
2230.4.193.80/2830.4.193.81 to 30.4.193.9430.4.193.9514
2330.4.193.96/2830.4.193.97 to 30.4.193.11030.4.193.11114
2430.4.193.112/2830.4.193.113 to 30.4.193.12630.4.193.12714
2530.4.193.128/2830.4.193.129 to 30.4.193.14230.4.193.14314
2630.4.193.144/2830.4.193.145 to 30.4.193.15830.4.193.15914
2730.4.193.160/2830.4.193.161 to 30.4.193.17430.4.193.17514
2830.4.193.176/2830.4.193.177 to 30.4.193.19030.4.193.19114
2930.4.193.192/2830.4.193.193 to 30.4.193.20630.4.193.20714
3030.4.193.208/2830.4.193.209 to 30.4.193.22230.4.193.22314
3130.4.193.224/2830.4.193.225 to 30.4.193.23830.4.193.23914
3230.4.193.240/2830.4.193.241 to 30.4.193.25430.4.193.25514
3330.4.194.0/2830.4.194.1 to 30.4.194.1430.4.194.1514
3430.4.194.16/2830.4.194.17 to 30.4.194.3030.4.194.3114
3530.4.194.32/2830.4.194.33 to 30.4.194.4630.4.194.4714
3630.4.194.48/2830.4.194.49 to 30.4.194.6230.4.194.6314
3730.4.194.64/2830.4.194.65 to 30.4.194.7830.4.194.7914
3830.4.194.80/2830.4.194.81 to 30.4.194.9430.4.194.9514
3930.4.194.96/2830.4.194.97 to 30.4.194.11030.4.194.11114
4030.4.194.112/2830.4.194.113 to 30.4.194.12630.4.194.12714
4130.4.194.128/2830.4.194.129 to 30.4.194.14230.4.194.14314
4230.4.194.144/2830.4.194.145 to 30.4.194.15830.4.194.15914
4330.4.194.160/2830.4.194.161 to 30.4.194.17430.4.194.17514
4430.4.194.176/2830.4.194.177 to 30.4.194.19030.4.194.19114
4530.4.194.192/2830.4.194.193 to 30.4.194.20630.4.194.20714
4630.4.194.208/2830.4.194.209 to 30.4.194.22230.4.194.22314
4730.4.194.224/2830.4.194.225 to 30.4.194.23830.4.194.23914
4830.4.194.240/2830.4.194.241 to 30.4.194.25430.4.194.25514
4930.4.195.0/2830.4.195.1 to 30.4.195.1430.4.195.1514
5030.4.195.16/2830.4.195.17 to 30.4.195.3030.4.195.3114
5130.4.195.32/2830.4.195.33 to 30.4.195.4630.4.195.4714
5230.4.195.48/2830.4.195.49 to 30.4.195.6230.4.195.6314
5330.4.195.64/2830.4.195.65 to 30.4.195.7830.4.195.7914
5430.4.195.80/2830.4.195.81 to 30.4.195.9430.4.195.9514
5530.4.195.96/2830.4.195.97 to 30.4.195.11030.4.195.11114
5630.4.195.112/2830.4.195.113 to 30.4.195.12630.4.195.12714
5730.4.195.128/2830.4.195.129 to 30.4.195.14230.4.195.14314
5830.4.195.144/2830.4.195.145 to 30.4.195.15830.4.195.15914
5930.4.195.160/2830.4.195.161 to 30.4.195.17430.4.195.17514
6030.4.195.176/2830.4.195.177 to 30.4.195.19030.4.195.19114
6130.4.195.192/2830.4.195.193 to 30.4.195.20630.4.195.20714
6230.4.195.208/2830.4.195.209 to 30.4.195.22230.4.195.22314
6330.4.195.224/2830.4.195.225 to 30.4.195.23830.4.195.23914
6430.4.195.240/2830.4.195.241 to 30.4.195.25430.4.195.25514
6530.4.196.0/2830.4.196.1 to 30.4.196.1430.4.196.1514
6630.4.196.16/2830.4.196.17 to 30.4.196.3030.4.196.3114
6730.4.196.32/2830.4.196.33 to 30.4.196.4630.4.196.4714
6830.4.196.48/2830.4.196.49 to 30.4.196.6230.4.196.6314
6930.4.196.64/2830.4.196.65 to 30.4.196.7830.4.196.7914
7030.4.196.80/2830.4.196.81 to 30.4.196.9430.4.196.9514
7130.4.196.96/2830.4.196.97 to 30.4.196.11030.4.196.11114
7230.4.196.112/2830.4.196.113 to 30.4.196.12630.4.196.12714
7330.4.196.128/2830.4.196.129 to 30.4.196.14230.4.196.14314
7430.4.196.144/2830.4.196.145 to 30.4.196.15830.4.196.15914
7530.4.196.160/2830.4.196.161 to 30.4.196.17430.4.196.17514
7630.4.196.176/2830.4.196.177 to 30.4.196.19030.4.196.19114
7730.4.196.192/2830.4.196.193 to 30.4.196.20630.4.196.20714
7830.4.196.208/2830.4.196.209 to 30.4.196.22230.4.196.22314
7930.4.196.224/2830.4.196.225 to 30.4.196.23830.4.196.23914
8030.4.196.240/2830.4.196.241 to 30.4.196.25430.4.196.25514
8130.4.197.0/2830.4.197.1 to 30.4.197.1430.4.197.1514
8230.4.197.16/2830.4.197.17 to 30.4.197.3030.4.197.3114
8330.4.197.32/2830.4.197.33 to 30.4.197.4630.4.197.4714
8430.4.197.48/2830.4.197.49 to 30.4.197.6230.4.197.6314
8530.4.197.64/2830.4.197.65 to 30.4.197.7830.4.197.7914
8630.4.197.80/2830.4.197.81 to 30.4.197.9430.4.197.9514
8730.4.197.96/2830.4.197.97 to 30.4.197.11030.4.197.11114
8830.4.197.112/2830.4.197.113 to 30.4.197.12630.4.197.12714
8930.4.197.128/2830.4.197.129 to 30.4.197.14230.4.197.14314
9030.4.197.144/2830.4.197.145 to 30.4.197.15830.4.197.15914
9130.4.197.160/2830.4.197.161 to 30.4.197.17430.4.197.17514
9230.4.197.176/2830.4.197.177 to 30.4.197.19030.4.197.19114
9330.4.197.192/2830.4.197.193 to 30.4.197.20630.4.197.20714
9430.4.197.208/2830.4.197.209 to 30.4.197.22230.4.197.22314
9530.4.197.224/2830.4.197.225 to 30.4.197.23830.4.197.23914
9630.4.197.240/2830.4.197.241 to 30.4.197.25430.4.197.25514
9730.4.198.0/2830.4.198.1 to 30.4.198.1430.4.198.1514
9830.4.198.16/2830.4.198.17 to 30.4.198.3030.4.198.3114
9930.4.198.32/2830.4.198.33 to 30.4.198.4630.4.198.4714
10030.4.198.48/2830.4.198.49 to 30.4.198.6230.4.198.6314
10130.4.198.64/2830.4.198.65 to 30.4.198.7830.4.198.7914
10230.4.198.80/2830.4.198.81 to 30.4.198.9430.4.198.9514
10330.4.198.96/2830.4.198.97 to 30.4.198.11030.4.198.11114
10430.4.198.112/2830.4.198.113 to 30.4.198.12630.4.198.12714
10530.4.198.128/2830.4.198.129 to 30.4.198.14230.4.198.14314
10630.4.198.144/2830.4.198.145 to 30.4.198.15830.4.198.15914
10730.4.198.160/2830.4.198.161 to 30.4.198.17430.4.198.17514
10830.4.198.176/2830.4.198.177 to 30.4.198.19030.4.198.19114
10930.4.198.192/2830.4.198.193 to 30.4.198.20630.4.198.20714
11030.4.198.208/2830.4.198.209 to 30.4.198.22230.4.198.22314
11130.4.198.224/2830.4.198.225 to 30.4.198.23830.4.198.23914
11230.4.198.240/2830.4.198.241 to 30.4.198.25430.4.198.25514
11330.4.199.0/2830.4.199.1 to 30.4.199.1430.4.199.1514
11430.4.199.16/2830.4.199.17 to 30.4.199.3030.4.199.3114
11530.4.199.32/2830.4.199.33 to 30.4.199.4630.4.199.4714
11630.4.199.48/2830.4.199.49 to 30.4.199.6230.4.199.6314
11730.4.199.64/2830.4.199.65 to 30.4.199.7830.4.199.7914
11830.4.199.80/2830.4.199.81 to 30.4.199.9430.4.199.9514
11930.4.199.96/2830.4.199.97 to 30.4.199.11030.4.199.11114
12030.4.199.112/2830.4.199.113 to 30.4.199.12630.4.199.12714
12130.4.199.128/2830.4.199.129 to 30.4.199.14230.4.199.14314
12230.4.199.144/2830.4.199.145 to 30.4.199.15830.4.199.15914
12330.4.199.160/2830.4.199.161 to 30.4.199.17430.4.199.17514
12430.4.199.176/2830.4.199.177 to 30.4.199.19030.4.199.19114
12530.4.199.192/2830.4.199.193 to 30.4.199.20630.4.199.20714
12630.4.199.208/2830.4.199.209 to 30.4.199.22230.4.199.22314
12730.4.199.224/2830.4.199.225 to 30.4.199.23830.4.199.23914
12830.4.199.240/2830.4.199.241 to 30.4.199.25430.4.199.25514
12930.4.200.0/2830.4.200.1 to 30.4.200.1430.4.200.1514
13030.4.200.16/2830.4.200.17 to 30.4.200.3030.4.200.3114
13130.4.200.32/2830.4.200.33 to 30.4.200.4630.4.200.4714
13230.4.200.48/2830.4.200.49 to 30.4.200.6230.4.200.6314
13330.4.200.64/2830.4.200.65 to 30.4.200.7830.4.200.7914
13430.4.200.80/2830.4.200.81 to 30.4.200.9430.4.200.9514
13530.4.200.96/2830.4.200.97 to 30.4.200.11030.4.200.11114
13630.4.200.112/2830.4.200.113 to 30.4.200.12630.4.200.12714
13730.4.200.128/2830.4.200.129 to 30.4.200.14230.4.200.14314
13830.4.200.144/2830.4.200.145 to 30.4.200.15830.4.200.15914
13930.4.200.160/2830.4.200.161 to 30.4.200.17430.4.200.17514
14030.4.200.176/2830.4.200.177 to 30.4.200.19030.4.200.19114
14130.4.200.192/2830.4.200.193 to 30.4.200.20630.4.200.20714
14230.4.200.208/2830.4.200.209 to 30.4.200.22230.4.200.22314
14330.4.200.224/2830.4.200.225 to 30.4.200.23830.4.200.23914
14430.4.200.240/2830.4.200.241 to 30.4.200.25430.4.200.25514
14530.4.201.0/2830.4.201.1 to 30.4.201.1430.4.201.1514
14630.4.201.16/2830.4.201.17 to 30.4.201.3030.4.201.3114
14730.4.201.32/2830.4.201.33 to 30.4.201.4630.4.201.4714
14830.4.201.48/2830.4.201.49 to 30.4.201.6230.4.201.6314
14930.4.201.64/2830.4.201.65 to 30.4.201.7830.4.201.7914
15030.4.201.80/2830.4.201.81 to 30.4.201.9430.4.201.9514
15130.4.201.96/2830.4.201.97 to 30.4.201.11030.4.201.11114
15230.4.201.112/2830.4.201.113 to 30.4.201.12630.4.201.12714
15330.4.201.128/2830.4.201.129 to 30.4.201.14230.4.201.14314
15430.4.201.144/2830.4.201.145 to 30.4.201.15830.4.201.15914
15530.4.201.160/2830.4.201.161 to 30.4.201.17430.4.201.17514
15630.4.201.176/2830.4.201.177 to 30.4.201.19030.4.201.19114
15730.4.201.192/2830.4.201.193 to 30.4.201.20630.4.201.20714
15830.4.201.208/2830.4.201.209 to 30.4.201.22230.4.201.22314
15930.4.201.224/2830.4.201.225 to 30.4.201.23830.4.201.23914
16030.4.201.240/2830.4.201.241 to 30.4.201.25430.4.201.25514
16130.4.202.0/2830.4.202.1 to 30.4.202.1430.4.202.1514
16230.4.202.16/2830.4.202.17 to 30.4.202.3030.4.202.3114
16330.4.202.32/2830.4.202.33 to 30.4.202.4630.4.202.4714
16430.4.202.48/2830.4.202.49 to 30.4.202.6230.4.202.6314
16530.4.202.64/2830.4.202.65 to 30.4.202.7830.4.202.7914
16630.4.202.80/2830.4.202.81 to 30.4.202.9430.4.202.9514
16730.4.202.96/2830.4.202.97 to 30.4.202.11030.4.202.11114
16830.4.202.112/2830.4.202.113 to 30.4.202.12630.4.202.12714
16930.4.202.128/2830.4.202.129 to 30.4.202.14230.4.202.14314
17030.4.202.144/2830.4.202.145 to 30.4.202.15830.4.202.15914
17130.4.202.160/2830.4.202.161 to 30.4.202.17430.4.202.17514
17230.4.202.176/2830.4.202.177 to 30.4.202.19030.4.202.19114
17330.4.202.192/2830.4.202.193 to 30.4.202.20630.4.202.20714
17430.4.202.208/2830.4.202.209 to 30.4.202.22230.4.202.22314
17530.4.202.224/2830.4.202.225 to 30.4.202.23830.4.202.23914
17630.4.202.240/2830.4.202.241 to 30.4.202.25430.4.202.25514
17730.4.203.0/2830.4.203.1 to 30.4.203.1430.4.203.1514
17830.4.203.16/2830.4.203.17 to 30.4.203.3030.4.203.3114
17930.4.203.32/2830.4.203.33 to 30.4.203.4630.4.203.4714
18030.4.203.48/2830.4.203.49 to 30.4.203.6230.4.203.6314
18130.4.203.64/2830.4.203.65 to 30.4.203.7830.4.203.7914
18230.4.203.80/2830.4.203.81 to 30.4.203.9430.4.203.9514
18330.4.203.96/2830.4.203.97 to 30.4.203.11030.4.203.11114
18430.4.203.112/2830.4.203.113 to 30.4.203.12630.4.203.12714
18530.4.203.128/2830.4.203.129 to 30.4.203.14230.4.203.14314
18630.4.203.144/2830.4.203.145 to 30.4.203.15830.4.203.15914
18730.4.203.160/2830.4.203.161 to 30.4.203.17430.4.203.17514
18830.4.203.176/2830.4.203.177 to 30.4.203.19030.4.203.19114
18930.4.203.192/2830.4.203.193 to 30.4.203.20630.4.203.20714
19030.4.203.208/2830.4.203.209 to 30.4.203.22230.4.203.22314
19130.4.203.224/2830.4.203.225 to 30.4.203.23830.4.203.23914
19230.4.203.240/2830.4.203.241 to 30.4.203.25430.4.203.25514
19330.4.204.0/2830.4.204.1 to 30.4.204.1430.4.204.1514
19430.4.204.16/2830.4.204.17 to 30.4.204.3030.4.204.3114
19530.4.204.32/2830.4.204.33 to 30.4.204.4630.4.204.4714
19630.4.204.48/2830.4.204.49 to 30.4.204.6230.4.204.6314
19730.4.204.64/2830.4.204.65 to 30.4.204.7830.4.204.7914
19830.4.204.80/2830.4.204.81 to 30.4.204.9430.4.204.9514
19930.4.204.96/2830.4.204.97 to 30.4.204.11030.4.204.11114
20030.4.204.112/2830.4.204.113 to 30.4.204.12630.4.204.12714
20130.4.204.128/2830.4.204.129 to 30.4.204.14230.4.204.14314
20230.4.204.144/2830.4.204.145 to 30.4.204.15830.4.204.15914
20330.4.204.160/2830.4.204.161 to 30.4.204.17430.4.204.17514
20430.4.204.176/2830.4.204.177 to 30.4.204.19030.4.204.19114
20530.4.204.192/2830.4.204.193 to 30.4.204.20630.4.204.20714
20630.4.204.208/2830.4.204.209 to 30.4.204.22230.4.204.22314
20730.4.204.224/2830.4.204.225 to 30.4.204.23830.4.204.23914
20830.4.204.240/2830.4.204.241 to 30.4.204.25430.4.204.25514
20930.4.205.0/2830.4.205.1 to 30.4.205.1430.4.205.1514
21030.4.205.16/2830.4.205.17 to 30.4.205.3030.4.205.3114
21130.4.205.32/2830.4.205.33 to 30.4.205.4630.4.205.4714
21230.4.205.48/2830.4.205.49 to 30.4.205.6230.4.205.6314
21330.4.205.64/2830.4.205.65 to 30.4.205.7830.4.205.7914
21430.4.205.80/2830.4.205.81 to 30.4.205.9430.4.205.9514
21530.4.205.96/2830.4.205.97 to 30.4.205.11030.4.205.11114
21630.4.205.112/2830.4.205.113 to 30.4.205.12630.4.205.12714
21730.4.205.128/2830.4.205.129 to 30.4.205.14230.4.205.14314
21830.4.205.144/2830.4.205.145 to 30.4.205.15830.4.205.15914
21930.4.205.160/2830.4.205.161 to 30.4.205.17430.4.205.17514
22030.4.205.176/2830.4.205.177 to 30.4.205.19030.4.205.19114
22130.4.205.192/2830.4.205.193 to 30.4.205.20630.4.205.20714
22230.4.205.208/2830.4.205.209 to 30.4.205.22230.4.205.22314
22330.4.205.224/2830.4.205.225 to 30.4.205.23830.4.205.23914
22430.4.205.240/2830.4.205.241 to 30.4.205.25430.4.205.25514
22530.4.206.0/2830.4.206.1 to 30.4.206.1430.4.206.1514
22630.4.206.16/2830.4.206.17 to 30.4.206.3030.4.206.3114
22730.4.206.32/2830.4.206.33 to 30.4.206.4630.4.206.4714
22830.4.206.48/2830.4.206.49 to 30.4.206.6230.4.206.6314
22930.4.206.64/2830.4.206.65 to 30.4.206.7830.4.206.7914
23030.4.206.80/2830.4.206.81 to 30.4.206.9430.4.206.9514
23130.4.206.96/2830.4.206.97 to 30.4.206.11030.4.206.11114
23230.4.206.112/2830.4.206.113 to 30.4.206.12630.4.206.12714
23330.4.206.128/2830.4.206.129 to 30.4.206.14230.4.206.14314
23430.4.206.144/2830.4.206.145 to 30.4.206.15830.4.206.15914
23530.4.206.160/2830.4.206.161 to 30.4.206.17430.4.206.17514
23630.4.206.176/2830.4.206.177 to 30.4.206.19030.4.206.19114
23730.4.206.192/2830.4.206.193 to 30.4.206.20630.4.206.20714
23830.4.206.208/2830.4.206.209 to 30.4.206.22230.4.206.22314
23930.4.206.224/2830.4.206.225 to 30.4.206.23830.4.206.23914
24030.4.206.240/2830.4.206.241 to 30.4.206.25430.4.206.25514
24130.4.207.0/2830.4.207.1 to 30.4.207.1430.4.207.1514
24230.4.207.16/2830.4.207.17 to 30.4.207.3030.4.207.3114
24330.4.207.32/2830.4.207.33 to 30.4.207.4630.4.207.4714
24430.4.207.48/2830.4.207.49 to 30.4.207.6230.4.207.6314
24530.4.207.64/2830.4.207.65 to 30.4.207.7830.4.207.7914
24630.4.207.80/2830.4.207.81 to 30.4.207.9430.4.207.9514
24730.4.207.96/2830.4.207.97 to 30.4.207.11030.4.207.11114
24830.4.207.112/2830.4.207.113 to 30.4.207.12630.4.207.12714
24930.4.207.128/2830.4.207.129 to 30.4.207.14230.4.207.14314
25030.4.207.144/2830.4.207.145 to 30.4.207.15830.4.207.15914
25130.4.207.160/2830.4.207.161 to 30.4.207.17430.4.207.17514
25230.4.207.176/2830.4.207.177 to 30.4.207.19030.4.207.19114
25330.4.207.192/2830.4.207.193 to 30.4.207.20630.4.207.20714
25430.4.207.208/2830.4.207.209 to 30.4.207.22230.4.207.22314
25530.4.207.224/2830.4.207.225 to 30.4.207.23830.4.207.23914
25630.4.207.240/2830.4.207.241 to 30.4.207.25430.4.207.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses